#declare L_txt = texture {
	pigment {color rgb <0.55, 0.15, 0.15>}
	finish {ambient 0.12 phong 0.6}
	normal {bumps 0.26 scale 0.008}
}

#declare Leg = 	union {
	union {
		difference {
			sphere {0, 0.1 scale <1, 0.07, 0.07>}
			plane {-x, 0}
		}
		sphere {0, 0.1 scale <0.05, 0.07, 0.07>}
	}
	union {
		union {
			difference {
				sphere {0, 0.08 scale <1, 0.07, 0.07>}
				plane {-x, 0}
			}
			sphere {0, 0.08 scale <0.05, 0.07, 0.07>}
		}
		sphere {0, 0.08
			scale <0.2, 0.04, 0.04>
			translate x*0.08*0.2
			rotate y*30
		}
			translate x*0.075
		rotate -y*60
	}
}

#declare Claw = union {
	sphere {0, 0.05 scale <1, 0.3, 0.2>}
	sphere {0, 0.05 scale <1, 0.4, 0.3> translate x*0.08}
	union {
		difference {
			sphere {0, 0.08 scale <1, 0.5, 0.4>}
			plane {-x, 0}
		}
		sphere {0, 0.08 scale <0.4, 0.5, 0.4>}
		difference {
			sphere {0, 0.08 scale <2, 0.5, 0.4>}
			plane {x, 0}
			plane {-y, 0}
			plane {-y, 0 rotate -x*40}
			plane {-y, 0 rotate x*40}
		}
		difference {
			sphere {0, 0.05
				scale <2, 0.5, 0.5>
			}
			plane {y, 0}

			rotate z*10
			translate <0.02, 0.01, 0>
		}

		translate x*0.08
		rotate z*40
		translate x*0.1
	}
	translate x*0.05
	scale 1.4
}

#declare Lobster1 = union {
	// tail
	sphere {0, 0.05 scale <1, 0.5, 0.3>}
	difference {
		sphere {0, 0.05 scale <1, 1.1, 0.3>}
		plane {-y, 0}
	}
	sphere {0, 0.05
		translate -y*0.05
		scale <0.5, 1, 0.15>
		rotate -z*45
		translate y*0.02
	}
	sphere {0, 0.05
		translate -y*0.05
		scale <0.5, 1, 0.15>
		rotate z*45
		translate y*0.02
	}
	sphere {0, 0.045 scale <1, 0.6, 0.4> translate y*0.03}
	sphere {0, 0.05 scale <1, 0.6, 0.4> translate <0, 0.065, -0.01>}
	sphere {0, 0.055 scale <1, 0.6, 0.4> translate <0, 0.1, -0.012>}
	sphere {0, 0.06 scale <1, 0.6, 0.4> translate <0, 0.14, -0.014>}
	sphere {0, 0.065 scale <1, 0.6, 0.4> translate <0, 0.18, -0.016>}

	// body
	sphere {0, 0.085 scale <1, 1.1, 0.55> translate <0, 0.27, -0.018>}
	sphere {0, 0.08 scale <1, 1.1, 0.6> translate <0, 0.36, -0.018>}

	// head
	union {
		difference {
			sphere {0, 0.045 scale <1, 1.2, 0.3>}
			plane {y, 0}
		}
		sphere {0, 0.045 scale <1, 0.6, 0.3>}
		sphere {0, 0.01 scale <1, 4, 1> translate <0.008, 0.036, 0.005>}
		sphere {0, 0.01 scale <1, 4, 1> translate <-0.008, 0.036, 0.005>}
		// eye
		union {				// right
			difference {
				sphere {0, 0.005 scale <1, 6, 1>}
				plane {y, 0}
			}
			sphere {0, 0.01 translate y*0.005*6}

			rotate <-20, 0, -30>
			translate <0.03, 0.02, -0.004>
		}
		union {				// left
			difference {
				sphere {0, 0.005 scale <1, 6, 1>}
				plane {y, 0}
			}
			sphere {0, 0.01 translate y*0.005*6}

			rotate <-20, 0, 30>
			translate <-0.03, 0.02, -0.004>
		}
		// must.
		union {				// right
			sphere {0, 0.01	scale <1, 4, 1>}
			intersection {
				torus {0.4, 0.002 rotate x*90 translate x*0.4}
				box {<-0.1, 0, -0.1>, <0.2, 0.2, 0.1>}
			}
			intersection {
				torus {0.6, 0.0015 rotate x*90 translate x*0.6}
				box {<-0.1, 0, -0.1>, <0.26, 0.3, 0.1>}
				rotate <-15, 0, -10>
			}

			rotate <-10, 0, -5>
			translate <0.01, 0.03, -0.002>
		}
		union {				// left
			sphere {0, 0.01	scale <1, 4, 1>}
			intersection {
				torus {0.4, 0.002 rotate x*90 translate -x*0.4}
				box {<0.1, 0, -0.1>, <-0.2, 0.2, 0.1>}
			}
			intersection {
				torus {0.6, 0.0015 rotate x*90 translate -x*0.6}
				box {<0.1, 0, -0.1>, <-0.26, 0.3, 0.1>}
				rotate <-15, 0, 10>
			}

			rotate <-10, 0, 5>
			translate <-0.01, 0.03, -0.002>
		}

		// jaws
		union {					// right
			sphere {0, 0.01	scale <1, 7, 1>}
			difference {
				sphere {0, 0.006 scale <1, 5, 1>}
				plane {y, 0}
				rotate z*65
				translate y*0.057
			}

			rotate <10, 0, -25>
			translate <0.01, 0.026, 0.006>
		}
		union {					// left
			sphere {0, 0.01	scale <1, 7, 1>}
			difference {
				sphere {0, 0.006 scale <1, 5, 1>}
				plane {y, 0}
				rotate -z*65
				translate y*0.057
			}

			rotate <10, 0, 25>
			translate <-0.01, 0.026, 0.006>
		}

		rotate -x*35
		translate <0, 0.46, -0.017>
	}
	// legs right
	object {Leg
		translate x*0.1
		rotate y*26
		rotate x*20
		rotate -z*30
		translate <0.03, 0.22, 0.01>
	}
	object {Leg
		translate x*0.1
		rotate y*26
		rotate x*25
		rotate -z*10
		translate <0.035, 0.24, 0.016>
	}
	object {Leg
		translate x*0.1
		rotate y*26
		rotate x*20
		rotate z*5
		translate <0.035, 0.265, 0.018>
	}
	object {Leg
		translate x*0.1
		rotate y*26
		rotate x*25
		rotate z*20
		translate <0.035, 0.29, 0.017>
	}
	// legs left
	object {Leg
		translate x*0.1
		rotate z*180
		rotate -y*26
		rotate x*20
		rotate z*30
		translate <-0.03, 0.22, 0.01>
	}
	object {Leg
		translate x*0.1
		rotate z*180
		rotate -y*26
		rotate x*25
		rotate z*10
		translate <-0.035, 0.24, 0.016>
	}
	object {Leg
		translate x*0.1
		rotate z*180
		rotate -y*26
		rotate x*20
		rotate -z*5
		translate <-0.035, 0.265, 0.018>
	}
	object {Leg
		translate x*0.1
		rotate z*180
		rotate -y*26
		rotate x*25
		rotate -z*20
		translate <-0.035, 0.29, 0.017>
	}
	object {Claw
		rotate z*35
		rotate y*30
		translate <0.024, 0.37, 0.02>
	}
	object {Claw
		rotate y*180
		rotate -z*35
		rotate -y*35
		translate <-0.024, 0.37, 0.02>
	}

	texture {L_txt}
}

#declare Lobster2 = union {
	// tail
	sphere {0, 0.05 scale <1, 0.5, 0.3>}
	difference {
		sphere {0, 0.05 scale <1, 1.1, 0.3>}
		plane {-y, 0}
	}
	sphere {0, 0.05
		translate -y*0.05
		scale <0.5, 1, 0.15>
		rotate -z*45
		translate y*0.02
	}
	sphere {0, 0.05
		translate -y*0.05
		scale <0.5, 1, 0.15>
		rotate z*45
		translate y*0.02
	}
	sphere {0, 0.045 scale <1, 0.6, 0.4> translate y*0.03}
	sphere {0, 0.05 scale <1, 0.6, 0.4> translate <0, 0.065, -0.01>}
	sphere {0, 0.055 scale <1, 0.6, 0.4> translate <0, 0.1, -0.012>}
	sphere {0, 0.06 scale <1, 0.6, 0.4> translate <0, 0.14, -0.014>}
	sphere {0, 0.065 scale <1, 0.6, 0.4> translate <0, 0.18, -0.016>}

	// body
	sphere {0, 0.085 scale <1, 1.1, 0.55> translate <0, 0.27, -0.018>}
	sphere {0, 0.08 scale <1, 1.1, 0.6> translate <0, 0.36, -0.018>}

	// head
	union {
		difference {
			sphere {0, 0.045 scale <1, 1.2, 0.3>}
			plane {y, 0}
		}
		sphere {0, 0.045 scale <1, 0.6, 0.3>}
		sphere {0, 0.01 scale <1, 4, 1> translate <0.008, 0.036, 0.005>}
		sphere {0, 0.01 scale <1, 4, 1> translate <-0.008, 0.036, 0.005>}
		// eye
		union {				// right
			difference {
				sphere {0, 0.005 scale <1, 6, 1>}
				plane {y, 0}
			}
			sphere {0, 0.01 translate y*0.005*6}

			rotate <-20, 0, -30>
			translate <0.03, 0.02, -0.004>
		}
		union {				// left
			difference {
				sphere {0, 0.005 scale <1, 6, 1>}
				plane {y, 0}
			}
			sphere {0, 0.01 translate y*0.005*6}

			rotate <-20, 0, 30>
			translate <-0.03, 0.02, -0.004>
		}
		// must.
		union {				// right
			sphere {0, 0.01	scale <1, 4, 1>}
			intersection {
				torus {0.4, 0.002 rotate x*90 translate x*0.4}
				box {<-0.1, 0, -0.1>, <0.2, 0.2, 0.1>}
			}
			intersection {
				torus {0.6, 0.0015 rotate x*90 translate x*0.6}
				box {<-0.1, 0, -0.1>, <0.26, 0.3, 0.1>}
				rotate <-15, 0, -10>
			}

			rotate <-10, 0, -5>
			translate <0.01, 0.03, -0.002>
		}
		union {				// left
			sphere {0, 0.01	scale <1, 4, 1>}
			intersection {
				torus {0.4, 0.002 rotate x*90 translate -x*0.4}
				box {<0.1, 0, -0.1>, <-0.2, 0.2, 0.1>}
			}
			intersection {
				torus {0.6, 0.0015 rotate x*90 translate -x*0.6}
				box {<0.1, 0, -0.1>, <-0.26, 0.3, 0.1>}
				rotate <-15, 0, 10>
			}

			rotate <-10, 0, 5>
			translate <-0.01, 0.03, -0.002>
		}

		// jaws
		union {					// right
			sphere {0, 0.01	scale <1, 7, 1>}
			difference {
				sphere {0, 0.006 scale <1, 5, 1>}
				plane {y, 0}
				rotate z*65
				translate y*0.057
			}

			rotate <10, 0, -25>
			translate <0.01, 0.026, 0.006>
		}
		union {					// left
			sphere {0, 0.01	scale <1, 7, 1>}
			difference {
				sphere {0, 0.006 scale <1, 5, 1>}
				plane {y, 0}
				rotate -z*65
				translate y*0.057
			}

			rotate <10, 0, 25>
			translate <-0.01, 0.026, 0.006>
		}

		rotate -x*30
		translate <0, 0.46, -0.017>
	}
	// legs right
	object {Leg
		translate x*0.1
		rotate -y*45
		rotate x*20
		rotate -z*30
		translate <0.03, 0.22, 0.01>
	}
	object {Leg
		translate x*0.1
		rotate -y*45
		rotate x*25
		rotate -z*10
		translate <0.035, 0.24, 0.016>
	}
	object {Leg
		translate x*0.1
		rotate -y*45
		rotate x*20
		rotate z*5
		translate <0.035, 0.265, 0.018>
	}
	object {Leg
		translate x*0.1
		rotate -y*45
		rotate x*25
		rotate z*20
		translate <0.035, 0.29, 0.017>
	}
	// legs left
	object {Leg
		translate x*0.1
		rotate z*180
		rotate x*20
		rotate z*30
		translate <-0.03, 0.22, 0.01>
	}
	object {Leg
		translate x*0.1
		rotate z*180
		rotate x*25
		rotate z*10
		translate <-0.035, 0.24, 0.016>
	}
	object {Leg
		translate x*0.1
		rotate z*180
		rotate x*20
		rotate -z*5
		translate <-0.035, 0.265, 0.018>
	}
	object {Leg
		translate x*0.1
		rotate z*180
		rotate x*25
		rotate -z*20
		translate <-0.035, 0.29, 0.017>
	}
	object {Claw
		rotate z*30
		rotate y*30
		translate <0.024, 0.37, 0.02>
	}
	object {Claw
		rotate y*180
		rotate -z*40
		translate <-0.024, 0.37, 0.02>
	}

	texture {L_txt}
}

#declare Lobster3 = union {
	// tail
	sphere {0, 0.05 scale <1, 0.5, 0.3>}
	difference {
		sphere {0, 0.05 scale <1, 1.1, 0.3>}
		plane {-y, 0}
	}
	sphere {0, 0.05
		translate -y*0.05
		scale <0.5, 1, 0.15>
		rotate -z*45
		translate y*0.02
	}
	sphere {0, 0.05
		translate -y*0.05
		scale <0.5, 1, 0.15>
		rotate z*45
		translate y*0.02
	}
	sphere {0, 0.045 scale <1, 0.6, 0.4> translate y*0.03}
	sphere {0, 0.05 scale <1, 0.6, 0.4> translate <0, 0.065, -0.01>}
	sphere {0, 0.055 scale <1, 0.6, 0.4> translate <0, 0.1, -0.012>}
	sphere {0, 0.06 scale <1, 0.6, 0.4> translate <0, 0.14, -0.014>}
	sphere {0, 0.065 scale <1, 0.6, 0.4> translate <0, 0.18, -0.016>}

	// body
	sphere {0, 0.085 scale <1, 1.1, 0.55> translate <0, 0.27, -0.018>}
	sphere {0, 0.08 scale <1, 1.1, 0.6> translate <0, 0.36, -0.018>}

	// head
	union {
		difference {
			sphere {0, 0.045 scale <1, 1.2, 0.3>}
			plane {y, 0}
		}
		sphere {0, 0.045 scale <1, 0.6, 0.3>}
		sphere {0, 0.01 scale <1, 4, 1> translate <0.008, 0.036, 0.005>}
		sphere {0, 0.01 scale <1, 4, 1> translate <-0.008, 0.036, 0.005>}
		// eye
		union {				// right
			difference {
				sphere {0, 0.005 scale <1, 6, 1>}
				plane {y, 0}
			}
			sphere {0, 0.01 translate y*0.005*6}

			rotate <-20, 0, -30>
			translate <0.03, 0.02, -0.004>
		}
		union {				// left
			difference {
				sphere {0, 0.005 scale <1, 6, 1>}
				plane {y, 0}
			}
			sphere {0, 0.01 translate y*0.005*6}

			rotate <-20, 0, 30>
			translate <-0.03, 0.02, -0.004>
		}
		// must.
		union {				// right
			sphere {0, 0.01	scale <1, 4, 1>}
			intersection {
				torus {0.4, 0.002 rotate x*90 translate x*0.4}
				box {<-0.1, 0, -0.1>, <0.2, 0.2, 0.1>}
			}
			intersection {
				torus {0.6, 0.0015 rotate x*90 translate x*0.6}
				box {<-0.1, 0, -0.1>, <0.26, 0.3, 0.1>}
				rotate <-15, 0, -10>
			}

			rotate <-10, 0, -5>
			translate <0.01, 0.03, -0.002>
		}
		union {				// left
			sphere {0, 0.01	scale <1, 4, 1>}
			intersection {
				torus {0.4, 0.002 rotate x*90 translate -x*0.4}
				box {<0.1, 0, -0.1>, <-0.2, 0.2, 0.1>}
			}
			intersection {
				torus {0.6, 0.0015 rotate x*90 translate -x*0.6}
				box {<0.1, 0, -0.1>, <-0.26, 0.3, 0.1>}
				rotate <-15, 0, 10>
			}

			rotate <-10, 0, 5>
			translate <-0.01, 0.03, -0.002>
		}

		// jaws
		union {					// right
			sphere {0, 0.01	scale <1, 7, 1>}
			difference {
				sphere {0, 0.006 scale <1, 5, 1>}
				plane {y, 0}
				rotate z*65
				translate y*0.057
			}

			rotate <10, 0, -25>
			translate <0.01, 0.026, 0.006>
		}
		union {					// left
			sphere {0, 0.01	scale <1, 7, 1>}
			difference {
				sphere {0, 0.006 scale <1, 5, 1>}
				plane {y, 0}
				rotate -z*65
				translate y*0.057
			}

			rotate <10, 0, 25>
			translate <-0.01, 0.026, 0.006>
		}

		rotate -x*30
		translate <0, 0.46, -0.017>
	}
	// legs right
	object {Leg
		translate x*0.1
		rotate y*26
		rotate x*20
		rotate -z*30
		translate <0.03, 0.22, 0.01>
	}
	object {Leg
		translate x*0.1
		rotate y*26
		rotate x*25
		rotate -z*10
		translate <0.035, 0.24, 0.016>
	}
	object {Leg
		translate x*0.1
		rotate y*26
		rotate x*20
		rotate z*5
		translate <0.035, 0.265, 0.018>
	}
	object {Leg
		translate x*0.1
		rotate y*26
		rotate x*25
		rotate z*20
		translate <0.035, 0.29, 0.017>
	}
	// legs left
	object {Leg
		translate x*0.1
		rotate z*180
		rotate -y*26
		rotate x*20
		rotate z*30
		translate <-0.03, 0.22, 0.01>
	}
	object {Leg
		translate x*0.1
		rotate z*180
		rotate -y*26
		rotate x*25
		rotate z*10
		translate <-0.035, 0.24, 0.016>
	}
	object {Leg
		translate x*0.1
		rotate z*180
		rotate -y*26
		rotate x*20
		rotate -z*5
		translate <-0.035, 0.265, 0.018>
	}
	object {Leg
		translate x*0.1
		rotate z*180
		rotate -y*26
		rotate x*25
		rotate -z*20
		translate <-0.035, 0.29, 0.017>
	}
	object {Claw 		// right
		rotate z*50
		rotate x*10
		translate <0.024, 0.37, 0.02>
	}
	object {Claw
		rotate y*180
		rotate -z*40
		rotate -x*60
		translate <-0.024, 0.37, 0.02>
	}

	texture {L_txt}
}
