#declare Umb1_txt = texture {
	pigment {
		gradient x
		color_map {
		[0 0.5 color rgb <0.9, 0, 0> color rgb <0.9, 0, 0>]
		[0.5 1 color rgb <1, 1, 1> color rgb <1, 1, 1>]
		}
	}
	finish {ambient 0.35 diffuse 0.8 phong 0.15}
	translate -x*0.5
}

#declare Umb2_txt = texture {
	pigment {
		gradient x
		color_map {
		[0 0.5 color rgb <0, 0.9, 0> color rgb <0, 0.9, 0>]
		[0.5 1 color rgb <1, 1, 1> color rgb <1, 1, 1>]
		}
	}
	finish {ambient 0.35 diffuse 0.8 phong 0.15}
	translate -x*0.5
}

#declare D = (0.5/cos(radians(15)))*sin(radians(15))
#declare Top = (0.5/cos(radians(30)))*sin(radians(30))

#declare H1 = difference {
	union {
		cylinder {<-D/2, 0, 0>, <-D/2, 0, 0.0001>, D/2}
		cylinder {<D/2, 0, 0>, <D/2, 0, 0.0001>, D/2}
	}
	plane {-y, 0}
	translate -z*0.5

	texture {Umb1_txt}
}

#declare H2 = difference {
	union {
		cylinder {<-D/2, 0, 0>, <-D/2, 0, 0.00001>, D/2}
		cylinder {<D/2, 0, 0>, <D/2, 0, 0.00001>, D/2}
	}
	plane {-y, 0}
	translate -z*0.5

	texture {Umb2_txt}
}

#declare Umb1 = union {
	intersection {
		plane {-z, 0 rotate x*60 texture {Umb1_txt} translate -z*0.5 rotate y*0}
		plane {-z, 0 rotate x*60 texture {Umb1_txt} translate -z*0.5 rotate y*30}
		plane {-z, 0 rotate x*60 texture {Umb1_txt} translate -z*0.5 rotate y*60}
		plane {-z, 0 rotate x*60 texture {Umb1_txt} translate -z*0.5 rotate y*90}
		plane {-z, 0 rotate x*60 texture {Umb1_txt} translate -z*0.5 rotate y*120}
		plane {-z, 0 rotate x*60 texture {Umb1_txt} translate -z*0.5 rotate y*150}
		plane {-z, 0 rotate x*60 texture {Umb1_txt} translate -z*0.5 rotate y*180}
		plane {-z, 0 rotate x*60 texture {Umb1_txt} translate -z*0.5 rotate y*210}
		plane {-z, 0 rotate x*60 texture {Umb1_txt} translate -z*0.5 rotate y*240}
		plane {-z, 0 rotate x*60 texture {Umb1_txt} translate -z*0.5 rotate y*270}
		plane {-z, 0 rotate x*60 texture {Umb1_txt} translate -z*0.5 rotate y*300}
		plane {-z, 0 rotate x*60 texture {Umb1_txt} translate -z*0.5 rotate y*330}
		clipped_by {plane {-y, 0}}
	}
	object {H1 rotate y*0}
	object {H1 rotate y*30}
	object {H1 rotate y*60}
	object {H1 rotate y*90}
	object {H1 rotate y*120}
	object {H1 rotate y*150}
	object {H1 rotate y*180}
	object {H1 rotate y*210}
	object {H1 rotate y*240}
	object {H1 rotate y*270}
	object {H1 rotate y*300}
	object {H1 rotate y*330}

	union {
		cylinder {<0, -2, 0>, <0, Top, 0>, 0.006}
		cone {<0, Top, 0>, 0.006, <0, Top+0.05, 0>, 0}

		pigment {color rgb 1}
		finish {ambient 0.15 diffuse 0.85 phong 1 reflection 0.15}
	}
}

#declare Umb2 = union {
	intersection {
		plane {-z, 0 rotate x*60 texture {Umb2_txt} translate -z*0.5 rotate y*0}
		plane {-z, 0 rotate x*60 texture {Umb2_txt} translate -z*0.5 rotate y*30}
		plane {-z, 0 rotate x*60 texture {Umb2_txt} translate -z*0.5 rotate y*60}
		plane {-z, 0 rotate x*60 texture {Umb2_txt} translate -z*0.5 rotate y*90}
		plane {-z, 0 rotate x*60 texture {Umb2_txt} translate -z*0.5 rotate y*120}
		plane {-z, 0 rotate x*60 texture {Umb2_txt} translate -z*0.5 rotate y*150}
		plane {-z, 0 rotate x*60 texture {Umb2_txt} translate -z*0.5 rotate y*180}
		plane {-z, 0 rotate x*60 texture {Umb2_txt} translate -z*0.5 rotate y*210}
		plane {-z, 0 rotate x*60 texture {Umb2_txt} translate -z*0.5 rotate y*240}
		plane {-z, 0 rotate x*60 texture {Umb2_txt} translate -z*0.5 rotate y*270}
		plane {-z, 0 rotate x*60 texture {Umb2_txt} translate -z*0.5 rotate y*300}
		plane {-z, 0 rotate x*60 texture {Umb2_txt} translate -z*0.5 rotate y*330}
		clipped_by {plane {-y, 0}}
	}
	object {H2 rotate y*0}
	object {H2 rotate y*30}
	object {H2 rotate y*60}
	object {H2 rotate y*90}
	object {H2 rotate y*120}
	object {H2 rotate y*150}
	object {H2 rotate y*180}
	object {H2 rotate y*210}
	object {H2 rotate y*240}
	object {H2 rotate y*270}
	object {H2 rotate y*300}
	object {H2 rotate y*330}

	union {
		cylinder {<0, -2, 0>, <0, Top, 0>, 0.006}
		cone {<0, Top, 0>, 0.006, <0, Top+0.05, 0>, 0}

		pigment {color rgb 1}
		finish {ambient 0.15 diffuse 0.85 phong 1 reflection 0.15}
	}
}